MenuItemRendererBase (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.renderkit.html.MenuItemRendererBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class MenuItemRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.HeaderResourcesRendererBase
                  org.ajax4jsf.renderkit.AjaxComponentRendererBase
                      org.ajax4jsf.renderkit.AjaxChildrenRenderer
                          org.richfaces.renderkit.CompositeRenderer
                              org.richfaces.renderkit.html.MenuItemRendererBase

All Implemented Interfaces:
  org.ajax4jsf.renderkit.AjaxRenderer, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

Direct Known Subclasses:
  MenuItemRenderer

    public class MenuItemRendererBase

extends org.richfaces.renderkit.CompositeRenderer

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer
`log, SPECIAL_COMPONENTS_TYPES`

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`MenuItemRendererBase()`

Method Summary
`protected java.lang.String` | `collectItemClasses(javax.faces.context.FacesContext context, UIMenuItem menuItem, boolean isOnmouseover)`
`protected java.lang.String` | `collectItemInlineStyles(javax.faces.context.FacesContext context, UIMenuItem menuItem, boolean isOnmouseover)`
`void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`java.util.List` | `encodeParams(javax.faces.context.FacesContext context, UIMenuItem component)`
`protected java.lang.Class` | `getComponentClass()`
`protected javax.faces.component.UIComponent` | `getIconFacet(UIMenuItem menuItem)`
`java.util.Map<java.lang.String,java.lang.Object>` | `getParamsAsMap(javax.faces.context.FacesContext context, UIMenuItem component)`
`protected javax.faces.component.UIComponent` | `getParentMenu(javax.faces.context.FacesContext context, UIMenuItem menuItem)`
`boolean` | `getRendersChildren()`
`protected java.lang.String` | `getStringAttributeOrEmptyString(javax.faces.component.UIComponent component, java.lang.String attributeName)`
`void` | `initializeResources(javax.faces.context.FacesContext context, UIMenuItem menuItem)`
`void` | `initializeStyles(javax.faces.context.FacesContext context, UIMenuItem menuItem)`
`protected boolean` | `isNestedInMenu(javax.faces.component.UIComponent component)`
`protected java.lang.String` | `resolveSubmitMode(UIMenuItem menuItem)`
`java.lang.String` | `toScript(java.util.Map<?,?> map)`

Methods inherited from class org.richfaces.renderkit.CompositeRenderer
`addContributor, addParameterEncoder, encodeAttributeParameters, escapeHtmlEntities, getContributors, getParameterEncoders, getScriptContributions, getScriptContributions, getScripts, getScripts, getStyles, getStyles, mergeScriptOptions, mergeScriptOptions`

Methods inherited from class org.ajax4jsf.renderkit.AjaxChildrenRenderer
`encodeAjaxChildren, encodeAjaxComponent`

Methods inherited from class org.ajax4jsf.renderkit.AjaxComponentRendererBase
`getAdditionalScripts`

Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase
`encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.ajax4jsf.renderkit.HeaderResourceProducer2
`encodeToHead`

Constructor Detail

### MenuItemRendererBase

    public MenuItemRendererBase()

Method Detail

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

### doDecode

    public void doDecode(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)

  Overrides:
    `doDecode` in class `org.richfaces.renderkit.CompositeRenderer`

### encodeParams

    public java.util.List encodeParams(javax.faces.context.FacesContext context,
                                       UIMenuItem component)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getParamsAsMap

    public java.util.Map<java.lang.String,java.lang.Object> getParamsAsMap(javax.faces.context.FacesContext context,
                                                                           UIMenuItem component)
                                                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### isNestedInMenu

    protected boolean isNestedInMenu(javax.faces.component.UIComponent component)

### collectItemInlineStyles

    protected java.lang.String collectItemInlineStyles(javax.faces.context.FacesContext context,
                                                       UIMenuItem menuItem,
                                                       boolean isOnmouseover)

### collectItemClasses

    protected java.lang.String collectItemClasses(javax.faces.context.FacesContext context,
                                                  UIMenuItem menuItem,
                                                  boolean isOnmouseover)

### initializeResources

    public void initializeResources(javax.faces.context.FacesContext context,
                                    UIMenuItem menuItem)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStringAttributeOrEmptyString

    protected java.lang.String getStringAttributeOrEmptyString(javax.faces.component.UIComponent component,
                                                               java.lang.String attributeName)

### getIconFacet

    protected javax.faces.component.UIComponent getIconFacet(UIMenuItem menuItem)

### resolveSubmitMode

    protected java.lang.String resolveSubmitMode(UIMenuItem menuItem)

### getParentMenu

    protected javax.faces.component.UIComponent getParentMenu(javax.faces.context.FacesContext context,
                                                              UIMenuItem menuItem)

### initializeStyles

    public void initializeStyles(javax.faces.context.FacesContext context,
                                 UIMenuItem menuItem)

### toScript

    public java.lang.String toScript(java.util.Map<?,?> map)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.